Content-Type: text/html; charset=UTF-8
Last-Modified: Mon, 04 Nov 2024 03:58:08 GMT
Expires: Thu, 02 Nov 2034 03:58:08 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>ranger - mirror of ranger - a simple, vim-like file manager</title>
<meta name='generator' content='cgit 1.4.1-2-gfad0'/>
<meta name='robots' content='index, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit.css'/>
<link rel='alternate' title='Atom feed' href='https://git.tilde.institute/akspecs/ranger/atom/INSTALL?h=v1.9.0b6' type='application/atom+xml'/>
<link rel='vcs-git' href='https://git.tilde.institute/akspecs/ranger' title='ranger Git repository'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='main'><a href='/'>index</a> : <a href='/akspecs/ranger/'>ranger</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='ac226d23ba8b60f7f47805819761f18b1a0a43ad'/><select name='h' onchange='this.form.submit();'>
<option value='aebb6af1efc72dcb88ee67d77bb987b890865a91'>this commit</option>
<optgroup label='branches'><option value='master'>master</option>
</optgroup></select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>mirror of ranger - a simple, vim-like file manager</td><td class='sub right'>akspecs &lt;akspecs@tilde.institute&gt;</td></tr></table>
<table class='tabs'><tr><td>
<a href='/akspecs/ranger/?h=v1.9.0b6'>summary</a> <a href='/akspecs/ranger/refs/?h=v1.9.0b6&amp;id=ac226d23ba8b60f7f47805819761f18b1a0a43ad'>refs</a> <a class='active' href='/akspecs/ranger/log/INSTALL?h=v1.9.0b6'>log</a> <a href='/akspecs/ranger/tree/INSTALL?h=v1.9.0b6&amp;id=ac226d23ba8b60f7f47805819761f18b1a0a43ad'>tree</a> <a href='/akspecs/ranger/commit/INSTALL?h=v1.9.0b6&amp;id=ac226d23ba8b60f7f47805819761f18b1a0a43ad'>commit</a> <a href='/akspecs/ranger/diff/INSTALL?h=v1.9.0b6&amp;id=ac226d23ba8b60f7f47805819761f18b1a0a43ad'>diff</a> <a href='/akspecs/ranger/stats/INSTALL?h=v1.9.0b6'>stats</a></td><td class='form'><form class='right' method='get' action='/akspecs/ranger/log/INSTALL'>
<input type='hidden' name='h' value='v1.9.0b6'/><input type='hidden' name='id' value='ac226d23ba8b60f7f47805819761f18b1a0a43ad'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/akspecs/ranger/log/?h=v1.9.0b6&amp;id=ac226d23ba8b60f7f47805819761f18b1a0a43ad'>root</a>/<a href='/akspecs/ranger/log/INSTALL?h=v1.9.0b6&amp;id=ac226d23ba8b60f7f47805819761f18b1a0a43ad'>INSTALL</a></div><div class='content'><table class='list nowrap'><tr class='nohover'><th></th><th class='left'>Commit message (<a href='/akspecs/ranger/log/INSTALL?h=v1.9.0b6&amp;id=ac226d23ba8b60f7f47805819761f18b1a0a43ad&amp;showmsg=1'>Expand</a>)</th><th class='left'>Author</th><th class='left'>Age</th><th class='left'>Files</th><th class='left'>Lines</th></tr>
<tr><td class='commitgraph'>* </td><td><a href='/akspecs/ranger/commit/INSTALL?h=v1.9.0b6&amp;id=8129ccb6d1e10182d60a71483da2c3db08108adb'>Changed hashbang line to "#!/usr/bin/env python"</a></td><td>hut</td><td><span title='2010-06-09 10:33:50 +0200'>2010-06-09</span></td><td>1</td><td><span class='deletions'>-1</span>/<span class='insertions'>+1</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/akspecs/ranger/commit/INSTALL?h=v1.9.0b6&amp;id=fa1b534545a667a25994f845ecb3a4525a58b845'>clean up</a></td><td>hut</td><td><span title='2010-03-31 05:28:08 +0200'>2010-03-31</span></td><td>1</td><td><span class='deletions'>-10</span>/<span class='insertions'>+0</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/akspecs/ranger/commit/INSTALL?h=v1.9.0b6&amp;id=7582555b50f058b316c04ce8ab977bed36da1585'>more documentation</a></td><td>hut</td><td><span title='2010-03-12 19:19:56 +0100'>2010-03-12</span></td><td>1</td><td><span class='deletions'>-3</span>/<span class='insertions'>+19</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/akspecs/ranger/commit/INSTALL?h=v1.9.0b6&amp;id=94c5d83e6752cf6506c78c9454c08b9f3df9371c'>misc changes, make install</a></td><td>hut</td><td><span title='2010-03-12 00:46:48 +0100'>2010-03-12</span></td><td>1</td><td><span class='deletions'>-3</span>/<span class='insertions'>+12</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/akspecs/ranger/commit/INSTALL?h=v1.9.0b6&amp;id=0128bee71f734138d3f49f56092688bb0623c6a2'>working on the configuration system / main method</a></td><td>hut</td><td><span title='2010-03-12 00:46:47 +0100'>2010-03-12</span></td><td>1</td><td><span class='deletions'>-1</span>/<span class='insertions'>+1</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/akspecs/ranger/commit/INSTALL?h=v1.9.0b6&amp;id=9487bd979a7053f5da0445beb01aad002e4293fe'>stuff</a></td><td>hut</td><td><span title='2010-01-25 00:32:48 +0100'>2010-01-25</span></td><td>1</td><td><span class='deletions'>-1</span>/<span class='insertions'>+1</span></td></tr>
<tr><td class='commitgraph'>* </td><td><a href='/akspecs/ranger/commit/INSTALL?h=v1.9.0b6&amp;id=f51bd48a141e4886a48c4f3d498a1c329bbaf193'>added install instructions</a></td><td>hut</td><td><span title='2010-01-14 02:39:40 +0100'>2010-01-14</span></td><td>1</td><td><span class='deletions'>-0</span>/<span class='insertions'>+30</span></td></tr>
</table><ul class='pager'></ul></div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.causal.agency/cgit-pink/about/'>cgit-pink 1.4.1-2-gfad0</a> (<a href='https://git-scm.com/'>git 2.36.2.497.gbbea4dcf42</a>) at 2024-11-04 03:58:08 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
&gt;  2017-10-11 02:01:29 -0700
committer  Kartik K. Agaram &lt;vc@akkartik.com&gt;  2017-10-11 02:01:29 -0700

4016 - include subx/ tests in CI' href='/akkartik/mu/commit/.travis.yml?h=main&amp;id=52ea31027b500c1e5d4281e9b41b71fd184d8be9'>52ea3102</a></span> <a title='Blame the previous revision' href='/akkartik/mu/blame/.travis.yml?h=main&amp;id=b53ee143f8facaecbf2f18ed0a6a1251166fff67'>^</a>
















</pre></div><div class='alt'><pre><span class='oid'><a title='author  Kartik K. Agaram &lt;vc@akkartik.com&gt;  2016-05-08 20:45:01 -0700
committer  Kartik K. Agaram &lt;vc@akkartik.com&gt;  2016-05-08 20:45:01 -0700

2943' href='/akkartik/mu/commit/.travis.yml?h=main&amp;id=3968855b2a2994a1ce52f610c17b82ca596aa8e9'>3968855b</a></span> <a title='Blame the previous revision' href='/akkartik/mu/blame/.travis.yml?h=main&amp;id=eb917331a8de7ee724cd1eec5d0b9bb6ef76fae2'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Kartik K. Agaram &lt;vc@akkartik.com&gt;  2016-05-08 17:21:15 -0700
committer  Kartik K. Agaram &lt;vc@akkartik.com&gt;  2016-05-08 17:21:15 -0700

2938 - ok, let&#x27;s try CI' href='/akkartik/mu/commit/.travis.yml?h=main&amp;id=a088d5c3cf74673352c32b384a432892ee1263c3'>a088d5c3</a></span> <a title='Blame the previous revision' href='/akkartik/mu/blame/.travis.yml?h=main&amp;id=863f52e8048dc4fdfda2648c816b64394e143718'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Kartik K. Agaram &lt;vc@akkartik.com&gt;  2017-10-11 02:01:29 -0700
committer  Kartik K. Agaram &lt;vc@akkartik.com&gt;  2017-10-11 02:01:29 -0700

4016 - include subx/ tests in CI' href='/akkartik/mu/commit/.travis.yml?h=main&amp;id=52ea31027b500c1e5d4281e9b41b71fd184d8be9'>52ea3102</a></span> <a title='Blame the previous revision' href='/akkartik/mu/blame/.travis.yml?h=main&amp;id=b53ee143f8facaecbf2f18ed0a6a1251166fff67'>^</a>
</pre></div><div class='alt'><pre><span class='oid'><a title='author  Kartik K. Agaram &lt;vc@akkartik.com&gt;  2016-05-08 17:21:15 -0700
committer  Kartik K. Agaram &lt;vc@akkartik.com&gt;  2016-05-08 17:21:15 -0700

2938 - ok, let&#x27;s try CI' href='/akkartik/mu/commit/.travis.yml?h=main&amp;id=a088d5c3cf74673352c32b384a432892ee1263c3'>a088d5c3</a></span> <a title='Blame the previous revision' href='/akkartik/mu/blame/.travis.yml?h=main&amp;id=863f52e8048dc4fdfda2648c816b64394e143718'>^</a>




</pre></div></td>
<td class='linenumbers'><div class='alt'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
</pre></div><div class='alt'><pre><a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
</pre></div><div class='alt'><pre><a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
</pre></div><div class='alt'><pre><a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
</pre></div><div class='alt'><pre><a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
</pre></div><div class='alt'><pre><a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
</pre></div><div class='alt'><pre><a id='n34' href='#n34'>34</a>
</pre></div><div class='alt'><pre><a id='n35' href='#n35'>35</a>
</pre></div><div class='alt'><pre><a id='n36' href='#n36'>36</a>
</pre></div><div class='alt'><pre><a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
</pre></div></td>
<td class='lines'><div><div><div class='alt'><pre>

              </pre></div><div class='alt'><pre>




             </pre></div><div class='alt'><pre>




                                                                </pre></div><div class='alt'><pre>

                                                                             </pre></div><div class='alt'><pre>

          </pre></div><div class='alt'><pre>
















                                                                                                                           </pre></div><div class='alt'><pre>
 </pre></div><div class='alt'><pre>
       </pre></div><div class='alt'><pre>
                        </pre></div><div class='alt'><pre>




                      </pre></div></div><pre><code><style>pre { line-height: 125%; }
td.linenos .normal { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
span.linenos { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
td.linenos .special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
.highlight .hll { background-color: #ffffcc }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .ges { font-weight: bold; font-style: italic } /* Generic.EmphStrong */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span><span class="nt">sudo</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">required</span>
<span class="nt">dist</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">trusty</span>
<span class="nt">language</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">cpp</span>

<span class="nt">addons</span><span class="p">:</span>
<span class="w">  </span><span class="nt">apt</span><span class="p">:</span>
<span class="w">    </span><span class="nt">sources</span><span class="p">:</span>
<span class="w">      </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">ubuntu-toolchain-r-test</span>
<span class="w">    </span><span class="nt">packages</span><span class="p">:</span>
<span class="w">      </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">valgrind</span>
<span class="w">      </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">libstdc++-5-dev</span><span class="w">  </span><span class="c1"># default version is not valgrind-clean</span>

<span class="c1"># test_layers takes a long time; divide up the work into multiple jobs on the</span>
<span class="c1"># matrix so we don&#39;t time out on Travis</span>
<span class="nt">matrix</span><span class="p">:</span>
<span class="w">  </span><span class="nt">include</span><span class="p">:</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="nt">env</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">COMMAND=./test_layers CXX=clang++ START=000 END=040</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="nt">env</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">COMMAND=./test_layers CXX=clang++ START=040 END=055</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="nt">env</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">COMMAND=./test_layers CXX=clang++ START=055 END=065</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="nt">env</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">COMMAND=./test_layers CXX=clang++ START=065 END=070</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="nt">env</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">COMMAND=./test_layers CXX=clang++ START=070 END=075</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="nt">env</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">COMMAND=./test_layers CXX=clang++ START=075 END=080</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="nt">env</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">COMMAND=./test_layers CXX=clang++ START=080 END=085</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="nt">env</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">COMMAND=./test_layers CXX=clang++ START=085 END=090</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="nt">env</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">COMMAND=./test_layers CXX=clang++ START=090 END=095</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="nt">env</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">COMMAND=./test_layers CXX=clang++ START=095 END=999</span><span class="w">  </span><span class="c1"># overflow; will start timing out if we add too many layers</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="nt">env</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">COMMAND=./test_layers CXX=clang++ START=chessboard</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="nt">env</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">COMMAND=./test_layers CXX=clang++ START=edit</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="nt">env</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">COMMAND=./test_layers CXX=clang++ START=edit2</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="nt">env</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">COMMAND=./test_layers CXX=clang++ START=edit3</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="nt">env</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">COMMAND=./test_layers CXX=clang++ START=edit4</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="nt">env</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">COMMAND=./test_layers CXX=g++ START=one-off</span><span class="w">  </span><span class="c1"># minimal testing for gcc</span>
<span class="w">    </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="nt">env</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">COMMAND=./subx/test_layers START= END=</span>

<span class="nt">script</span><span class="p">:</span>
<span class="w">  </span><span class="p p-Indicator">-</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">$COMMAND $START $END</span>

<span class="nt">notifications</span><span class="p">:</span>
<span class="w">  </span><span class="nt">email</span><span class="p">:</span>
<span class="w">    </span><span class="nt">on_success</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">never</span>
<span class="w">    </span><span class="nt">on_failure</span><span class="p">:</span><span class="w"> </span><span class="l l-Scalar l-Scalar-Plain">always</span>
</pre></div>
</code></pre></div></td>
</tr>
</table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.causal.agency/cgit-pink/about/'>cgit-pink 1.4.1-2-gfad0</a> (<a href='https://git-scm.com/'>git 2.36.2.497.gbbea4dcf42</a>) at 2024-11-04 03:58:10 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
